[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Downgrading i386 from amd64

Leoman HEDE <leventyalcin@gmail.com> writes:

> Hi all
> I have a small problem.
> I was install sarge from this image
> http://cdimage.debian.org/cdimage/unofficial/sarge-amd64/iso-cd/  and
> 2.6.8-11-em64t-p4-smp kernel on DELL PE2850 Xeon 64bit.
> I try installing HLDS (Half Life Game Server) but i get following errors
> olympos:/game/leoman# ./hldsupdatetool.bin 
> -bash: ./hldsupdatetool.bin: No such file or directory

You are missing some libraries it needs. 32bit ones at that.

> and i install debootstrap and i386 sarge, i use chroot,  mount /game
> partition and try install HLDS and i get no error. Installing process
> normally.
> I will downgrading sarge x86 from debian amd64 

You can neither upgrade nor downgrade the architecture. Just like you
can't upgrade from powerpc to s390.

> I try changing sources.list
> deb http://ftp.tr.debian.org/debian sarge main contrib
> deb-src http://ftp.tr.debian.org/debian sarge main contrib
> I try #apt-get update and I get following errors
> Failed to fetch
> http://ftp.tr.debian.org/debian/dists/sarge/main/binary-amd64/Packages.gz
>  404 Not Found
> Failed to fetch
> http://ftp.tr.debian.org/debian/dists/sarge/contrib/binary-amd64/Packages.gz
>  404 Not Found
> Reading Package Lists... Done
> apt added "binary-amd64" automatically.
> I couldn't find this phrase in apt config files
> how should i configure the ape for this? 
> if i'll apply this can full system work regularly?

You can't. This is pure64 and not multiarch.


Reply to: